program gen_random;

{$APPTYPE CONSOLE}

uses SysUtils;

var
  i: integer;
  
begin
	i:=1;
	while (FileExists(IntToStr(i)+'.in')) do inc(i);
	rewrite(output,IntToStr(i)+'.in');
	
  randomize;
  
  if (ParamCount > 2) then write(ParamStr(1)+' '+ParamStr(2)+' ',ParamStr(3))
  else begin
  	i:= random(1000000001);
  	write((i/1000000000)*999.0+1e-5:0:5);
  	i:= random(1000000001);
  	write(' ',(i/1000000000)*999.0+1e-5:0:5);
  	i:= random(1000000001);
  	write(' ',(i/1000000000)*999.0+1e-5:0:5);
  end;
  
  sleep(100);
end.